# 45. Mutación: guardar datos de usuario

Mutación para establecer la configuración de la cuenta de Usuario. La mutación establece solo los atributos solicitados.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación SaveUserDataSample {
  saveUserData(
    input: {
      idioma: en
      unidadDeÁrea: ACRES
      cantidadDeClasesEnConjuntoDeDatosDeSuelo: 6
    }
  ) {
    uuid
    correo electrónico
    unidadDeÁrea
    idioma
    cantidadDeClasesDelConjuntoDeSuelos
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/45.-mutacion-guardar-datos-de-usuario.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
